RubyGems Navigation menu

cloud-mu 3.5.1

The eGTLabs Mu toolkit for unified cloud deployments. This gem contains the Mu deployment interface to cloud provider APIs. It will generate a sample configuration the first time it is invoked. Mu will attempt to autodetect when it's being run in a virtual machine on a known cloud provider and activate the appropriate API with machine-based credentials. Installing this gem on an Amazon Web Service instance, for example, should automatically enable the MU::Cloud::AWS layer and attempt to use the machine's IAM Profile to communicate with the AWS API.

Versionen:

  1. 3.5.1 - February 26, 2021 (1,69 MB)
  2. 3.5.0 - February 22, 2021 (1,69 MB)
  3. 3.4.0 - October 22, 2020 (1,68 MB)
  4. 3.3.2 - October 05, 2020 (1,68 MB)
  5. 3.3.1 - September 29, 2020 (1,68 MB)
Zeige alle Versionen (39 total)

Runtime Abhängigkeiten (29):

addressable ~> 2.5
aws-sdk ~> 3.0
azure_sdk ~> 0.65
bundler ~> 2.1.4
color ~> 1.8
colorize ~> 0.8
erubis ~> 2.7
google-api-client ~> 0.50.0
googleauth ~> 0.6
inifile ~> 3.0
json-schema ~> 2.8
netaddr ~> 2.0
net-ldap ~> 0.16
net-ssh ~> 4.2
net-ssh-multi ~> 1.2, >= 1.2.1
nokogiri ~> 1.10
openssl-oaep ~> 0.1
optimist ~> 3.0
rack ~> 2.0
rubocop ~> 0.58
ruby-graphviz ~> 1.2
rubyzip ~> 2.3
solve ~> 4.0
thin ~> 1.7
winrm ~> 2.3, >= 2.3.4
yard ~> 0.9

Besitzer:

Pushed by:

Autoren:

  • John Stange, Robert Patt-Corner, Ryan Bolyard, Zach Rowe

SHA 256-Prüfsumme:

8a7e2a4895a2d112d7a1af3a0b97941b8dd232a9279c574b69697ec7184c7d3e

Downloads insgesamt 53.871

Für diese Version 2.137

Gemfile:
= In die Zwischenablage kopieren Kopiert!

installieren:
=

Lizenz:

BSD-3-Clause-Attribution

Erforderliche Ruby-Version: >= 2.4

Links: